import { IWidget } from "aws-cdk-lib/aws-cloudwatch";
import { IDashboardFactoryProps } from "./IDashboardFactory";
export interface IDynamicDashboardSegment {
    /**
     * Returns widgets for the requested dashboard type.
     * @param name name of dashboard for which widgets are generated.
     */
    widgetsForDashboard(name: string): IWidget[];
}
export declare class StaticSegmentDynamicAdapter implements IDynamicDashboardSegment {
    protected readonly props: IDashboardFactoryProps;
    constructor(props: IDashboardFactoryProps);
    widgetsForDashboard(name: string): IWidget[];
}
